PaidGoods
API referenceAnti fraud

Blacklist or whitelist entries

GET
/v1/stores/{storeId}/block-rules

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 200
Default20
list?string
Default"black"

Value in

  • "black"
  • "white"
q?string
Lengthlength <= 200
kind?string

Value in

  • "email"
  • "email_domain"
  • "disposable_email"
  • "ip"
  • "ip_range"
  • "isp"
  • "asn"
  • "vpn"
  • "tor"
  • "country"
  • "city"
  • "user_agent"
  • "discord_id"
status?string

Value in

  • "enabled"
  • "disabled"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/block-rules"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "list": "black",      "kind": "email",      "matchType": "exact",      "value": "string",      "note": "string",      "customerMessage": "string",      "enabled": true,      "active": true,      "startsAt": "string",      "expiresAt": "string",      "paymentMethodIds": [        "401360c0-c7a3-48c3-b1b5-4f257945ed5d"      ],      "hits": -9007199254740991,      "createdAt": "string"    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  }}